ContextResourceLink (Apache Tomcat 10.1.39 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor.web, class: ContextResourceLink

# Class ContextResourceLink

java.lang.Object
org.apache.tomcat.util.descriptor.web.ResourceBase
org.apache.tomcat.util.descriptor.web.ContextResourceLink

All Implemented Interfaces:
  `Serializable`, `Injectable`

public class ContextResourceLink extends ResourceBase
Representation of a resource link for a web application, as represented in a `<ResourceLink>` element in the server configuration file.

Author:
  Remy Maucherat, Peter Rossbach (Peter Rossbach (pero@apache.org))
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContextResourceLink()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getFactory()`
  `String`
  `getGlobal()`
  `int`
  `hashCode()`
  `void`
  `setFactory(String factory)`
  `void`
  `setGlobal(String global)`
  `String`
  `toString()`
  Return a String representation of this object.

  ### Methods inherited from class org.apache.tomcat.util.descriptor.web.ResourceBase

  `addInjectionTarget, getDescription, getInjectionTargets, getLookupName, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setLookupName, setName, setNamingResources, setProperty, setType`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContextResourceLink

    public ContextResourceLink()

- ## Method Details

  - ### getGlobal

    public String getGlobal()

  - ### setGlobal

    public void setGlobal(String global)

  - ### getFactory

    public String getFactory()

  - ### setFactory

    public void setFactory(String factory)

  - ### toString

    public String toString()
    Return a String representation of this object.
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ResourceBase`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `ResourceBase`